Bug 826466 - anaconda couldn't find squashfs.img from preupgrade URL
anaconda couldn't find squashfs.img from preupgrade URL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:25 EDT by Dave Airlie
Modified: 2013-07-31 20:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:41:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Airlie 2012-05-30 05:25:22 EDT
I had an F16 machine with not enough space on /boot for the squashfs files, but I was wired so I let it go.

At bootup the initramfs couldn't find the squashfs.img, I edited the grub command line and it worked fine.

The original stage2 URL preupgrade passes was:
stage2="http://ftp.heanet.ie/pub/fedora/linux/releases/17/Fedora/i386/os/LiveOS/squashfs.img"
and I had to change it to
stage2="http://ftp.heanet.ie/pub/fedora/linux/releases/17/Fedora/i386/os/"
Comment 1 Torsten Rohlfing 2012-06-07 14:22:17 EDT
I can confirm this. Same here. The URL given on the grub line is used as the path to find a file ".treeinfo", but of course such file only exists if the URL ends after "os/".
Comment 2 Richard Hughes 2012-06-21 05:17:59 EDT
I don't see how this is a preupgrade bug. We're passing the value set in .treeinfo to anaconda, so anaconda must be adding on a manual +'LiveOS/squashfs.img' somewhere. Other that a nasty hack in preupgrade to remove the 2 last parts of the URL for this release, how I know what anaconda is expecting?
Comment 3 Georg Greve 2012-07-02 07:43:31 EDT
Actually it is adding a "/LiveOS/squashfs.img" as far as I can tell.

When I encountered this issue on one of my machines, I changed the stage2 line in the same way, which let the machine find and download the squashfs.img correctly, but there was a ".../os//LiveOS/squashfs.img" in the path, so it definitely looks like an addendum made by anaconda.
Comment 4 Jesse Keating 2012-07-16 19:37:14 EDT
It looks like with the dracut processing of repo= and stage2= we now have no way of separating out the repository location from the stage2 location (e.g. stage2 in your /boot/ directory and repo somewhere else).  I'm re-assigning to wwoods who handled most of that code for his thoughts on the matter.
Comment 5 Jesse Keating 2012-07-18 14:08:56 EDT
preupgrade should point to the top level os/ directory, not specifically to the file in question.  It should point to where the .treeinfo file exists, or to where a fallback directory exists with the image (LiveOS/squashfs.img).

In the case of stage2 on /boot preupgrade needs to be putting the squashfs image into /boot/LiveOS/squashfs.img and the stage2= line should point to the top level /boot/ directory.
Comment 6 Fedora End Of Life 2013-07-03 18:39:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:41:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.